# Class FragmentationInterceptor.FragKey

java.lang.Object
org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragKey

Enclosing class:
  `FragmentationInterceptor`

public static class FragmentationInterceptor.FragKey extends Object

## Constructor Summary

Constructors
Constructor
Description
`FragKey(byte[] id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`boolean`
`expired(long expire)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FragKey

public FragKey(byte[] id)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### expired

public boolean expired(long expire)